package com.example.mmad.testapp.controller;

import com.example.mmad.testapp.command.CreateOrderCommand;
import com.example.mmad.testapp.command.OrderCommandHandler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;

@RestController
@RequestMapping("/user")
public class UserController {

    private OrderCommandHandler userCommandHandler;

    @Autowired
    public void setPersonService(OrderCommandHandler userCommandHandler) {
        this.userCommandHandler = userCommandHandler;
    }

    @PostMapping("/list")
    @ResponseStatus(HttpStatus.OK)
    public String listPosts() {
        return "userHandler";
    }

    @CrossOrigin(origins = "http://localhost:3001")
    @PostMapping("/create")
    public ResponseEntity<?> create(@Valid @RequestBody CreateOrderCommand userCommand) {
        userCommandHandler.createUser(userCommand);
        return ResponseEntity.ok(200);
    }
}
